loci.formats.in

## Class SlideBook7Reader.ClassDecoder

- java.lang.Object
- - loci.formats.in.SlideBook7Reader.ClassDecoder

- Direct Known Subclasses:
    SlideBook7Reader.CAlignManipRecord70, SlideBook7Reader.CAnnotation70, SlideBook7Reader.CChannelDef70, SlideBook7Reader.CChannelRecord70, SlideBook7Reader.CCube, SlideBook7Reader.CCubeAnnotation70, SlideBook7Reader.CDataTableHeaderRecord70, SlideBook7Reader.CExposureRecord70, SlideBook7Reader.CFluorDef70, SlideBook7Reader.CFRAPRegionAnnotation70, SlideBook7Reader.CFRETManipRecord70, SlideBook7Reader.CHistogramRecord70, SlideBook7Reader.CImageGroup, SlideBook7Reader.CImageRecord70, SlideBook7Reader.CLensDef70, SlideBook7Reader.CMainViewRecord70, SlideBook7Reader.CMaskRecord70, SlideBook7Reader.COptovarDef70, SlideBook7Reader.CRatioManipRecord70, SlideBook7Reader.CRemapChannelLUT70, SlideBook7Reader.CRemapManipRecord70, SlideBook7Reader.CRemapPoint, SlideBook7Reader.CSlideRecord70, SlideBook7Reader.CUnknownAnnotation70
  Enclosing class:
    SlideBook7Reader

      class SlideBook7Reader.ClassDecoder
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassDecoder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `Decode(org.yaml.snakeyaml.nodes.MappingNode inNode)`
    `int` | `Decode(org.yaml.snakeyaml.nodes.MappingNode inNode, int inStartIndex)`
    `protected void` | `DecodeUnknownString(java.lang.String inUnknownString, org.yaml.snakeyaml.nodes.Node inAttrValueNode)`
    `(package private) SlideBook7Reader.StrIntPair` | `FindNextClass(org.yaml.snakeyaml.nodes.MappingNode inNode, int inStartIndex)`
    `(package private) java.lang.Double[]` | `GetDoubleArray(org.yaml.snakeyaml.nodes.Node inNode, java.lang.String inLogName, java.lang.Boolean inFirstIsSize)`
    `(package private) java.lang.Float[]` | `GetFloatArray(org.yaml.snakeyaml.nodes.Node inNode, java.lang.String inLogName, java.lang.Boolean inFirstIsSize)`
    `(package private) java.lang.Integer[]` | `GetIntegerArray(org.yaml.snakeyaml.nodes.Node inNode, java.lang.String inLogName, java.lang.Boolean inFirstIsSize)`
    `(package private) SlideBook7Reader.IntIntPair` | `GetIntegerValue(org.yaml.snakeyaml.nodes.MappingNode inNode, int inStartIndex, java.lang.String inKeyname)`
    `(package private) java.lang.Long[]` | `GetLongArray(org.yaml.snakeyaml.nodes.Node inNode, java.lang.String inLogName, java.lang.Boolean inFirstIsSize)`
    `java.lang.String` | `GetSBClassName()`
    `(package private) java.lang.String[]` | `GetStringArray(org.yaml.snakeyaml.nodes.Node inNode, java.lang.String inLogName, java.lang.Boolean inFirstIsSize, java.lang.Boolean inRestoreSpecialValues)`
    `(package private) SlideBook7Reader.StrIntPair` | `GetStringValue(org.yaml.snakeyaml.nodes.MappingNode inNode, int inStartIndex, java.lang.String inKeyname, java.lang.Boolean inRestoreSpecialValues)`
    `(package private) java.lang.String` | `RestoreSpecialCharacters(java.lang.String inString)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassDecoder

          ClassDecoder()

  - ### Method Detail

    - #### Decode

          public int Decode(org.yaml.snakeyaml.nodes.MappingNode inNode)

    - #### Decode

          public int Decode(org.yaml.snakeyaml.nodes.MappingNode inNode,
                            int inStartIndex)

    - #### FindNextClass

          SlideBook7Reader.StrIntPair FindNextClass(org.yaml.snakeyaml.nodes.MappingNode inNode,
                                                    int inStartIndex)

    - #### GetSBClassName

          public java.lang.String GetSBClassName()

    - #### GetIntegerValue

          SlideBook7Reader.IntIntPair GetIntegerValue(org.yaml.snakeyaml.nodes.MappingNode inNode,
                                                      int inStartIndex,
                                                      java.lang.String inKeyname)

    - #### GetStringValue

          SlideBook7Reader.StrIntPair GetStringValue(org.yaml.snakeyaml.nodes.MappingNode inNode,
                                                     int inStartIndex,
                                                     java.lang.String inKeyname,
                                                     java.lang.Boolean inRestoreSpecialValues)

    - #### DecodeUnknownString

          protected void DecodeUnknownString(java.lang.String inUnknownString,
                                             org.yaml.snakeyaml.nodes.Node inAttrValueNode)

    - #### RestoreSpecialCharacters

          java.lang.String RestoreSpecialCharacters(java.lang.String inString)

    - #### GetIntegerArray

          java.lang.Integer[] GetIntegerArray(org.yaml.snakeyaml.nodes.Node inNode,
                                              java.lang.String inLogName,
                                              java.lang.Boolean inFirstIsSize)

    - #### GetLongArray

          java.lang.Long[] GetLongArray(org.yaml.snakeyaml.nodes.Node inNode,
                                        java.lang.String inLogName,
                                        java.lang.Boolean inFirstIsSize)

    - #### GetFloatArray

          java.lang.Float[] GetFloatArray(org.yaml.snakeyaml.nodes.Node inNode,
                                          java.lang.String inLogName,
                                          java.lang.Boolean inFirstIsSize)

    - #### GetDoubleArray

          java.lang.Double[] GetDoubleArray(org.yaml.snakeyaml.nodes.Node inNode,
                                            java.lang.String inLogName,
                                            java.lang.Boolean inFirstIsSize)

    - #### GetStringArray

          java.lang.String[] GetStringArray(org.yaml.snakeyaml.nodes.Node inNode,
                                            java.lang.String inLogName,
                                            java.lang.Boolean inFirstIsSize,
                                            java.lang.Boolean inRestoreSpecialValues)

Copyright © 2026 Open Microscopy Environment